MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031353Open CASCADE[OCCT] OCCT:Application Frameworkpublic2020-02-06 13:312020-07-27 11:43
Reporterdbv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031353: TDocStd_Application does not have api to set progress indicator.
DescriptionCurrently TDocStd_Application does not provide any way for setting progress indicator which is useful for Open/Save operations.
Steps To Reproducetest caf progress
TagsNo tags attached.
Test case numbercaf/progress/A1,A2,B1,B2,C1,C2
Attached Files

- Relationships
parent of 0031690verifiedbugmaster Community Application Framework - Default Arguments for Document Opening Lead to Segmentation Faults 

-  Notes
(0090832)
git (administrator)
2020-03-05 13:11

Branch CR31353 has been created by akaftasev.

SHA-1: 83a7eff58c696920d28d34951aee41202972ff73


Detailed log of new commits:

Author: KafAndrey
Date: Wed Mar 4 16:46:28 2020 +0300

    add Message_ProgressIndicator to Open method of TDocStd_Application

Author: KafAndrey
Date: Mon Mar 2 16:58:23 2020 +0300

    add Message_ProgressIndicator to BinTools classes

Author: KafAndrey
Date: Mon Mar 2 15:29:34 2020 +0300

    add Message_ProgressIndicator to some classes to realize it on Open() function of TDocStd_Application
(0090880)
git (administrator)
2020-03-10 14:36

Branch CR31353 has been updated by akaftasev.

SHA-1: e11b1a5a95f00bddbe922f2f76f234d998798332


Detailed log of new commits:

Author: KafAndrey
Date: Tue Mar 10 14:36:12 2020 +0300

    add ProgressIndicator to Save methods

(0090930)
git (administrator)
2020-03-13 16:05

Branch CR31353 has been updated by akaftasev.

SHA-1: d54af0b3e751fc3498b69587cb6651134b5f0fdf


Detailed log of new commits:

Author: akaftasev
Date: Fri Mar 13 16:05:10 2020 +0300

    add Progress Indicator to save and open xml files

Author: akaftasev
Date: Wed Mar 11 16:29:48 2020 +0300

    adding progress indicator to save function to xml files

Author: akaftasev
Date: Wed Mar 11 11:51:42 2020 +0300

    some changes

(0090971)
git (administrator)
2020-03-16 15:44

Branch CR31353 has been updated by akaftasev.

SHA-1: b2ff2ecfe232d3fb28c78cadff46270926bf165d


Detailed log of new commits:

Author: akaftasev
Date: Mon Mar 16 15:44:07 2020 +0300

    User break for xml files

Author: akaftasev
Date: Mon Mar 16 15:33:40 2020 +0300

    realize UserBreak for bin documents

(0091029)
git (administrator)
2020-03-18 14:56

Branch CR31353 has been updated by akaftasev.

SHA-1: f5d0cb0b18c0c86258ad9f698cf21dd6107d26b8


Detailed log of new commits:

Author: akaftasev
Date: Wed Mar 18 14:55:58 2020 +0300

    change code with coding standards

(0091312)
git (administrator)
2020-03-27 19:26

Branch CR31353 has been updated by akaftasev.

SHA-1: 8b91731cb581709ae55e15129159cd242c6a9189


Detailed log of new commits:

Author: akaftasev
Date: Fri Mar 27 19:26:06 2020 +0300

    delete unneeded usage of ProgressIndicator

(0091462)
git (administrator)
2020-04-08 14:11

Branch CR31353 has been updated by akaftasev.

SHA-1: c6cd4fa76822f10e3b3911f4d93ccf937c0a4d0a


Detailed log of new commits:

Author: andrey.kaftasev@opencascade.com
Date: Wed Apr 8 14:12:10 2020 +0300

    add tests to TDocStd_Applacation for ProgressIndicator

Author: andrey.kaftasev@opencascade.com
Date: Mon Apr 6 12:18:18 2020 +0300

    adding tests

(0091476)
git (administrator)
2020-04-09 10:29

Branch CR31353 has been updated by akaftasev.

SHA-1: 624c9949e0f72e636d2a5a05f0120b1cd4ae0beb


Detailed log of new commits:

Author: andrey.kaftasev@opencascade.com
Date: Wed Apr 8 18:18:46 2020 +0300

    change filename to $casename

(0093162)
git (administrator)
2020-07-16 18:20

Branch CR31353 has been updated forcibly by msv.

SHA-1: cea7a261fadfd47498e439536f6a7647642ab2b6
(0093163)
msv (developer)
2020-07-16 18:27

Tests:
http://jenkins-test-12.nnov.opencascade.com/view/CR31353-master-MSV/view/COMPARE/ [^]
(0093164)
git (administrator)
2020-07-16 19:06

Branch CR31353 has been updated forcibly by msv.

SHA-1: 9cec6be6f5183d1545059b644f0684d70300473b
(0093165)
msv (developer)
2020-07-16 21:37

CR31353 is to integrate to occt.
(0093309)
bugmaster (administrator)
2020-07-25 13:20

Combination -
OCCT branch : IR-2020-07-24
master SHA - 4c7a3faef5f292475c23ee615ad49d57fc039b58
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-07-24 SHA - be95aa91db3bd344c872901349e58022d3c687fc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17271.39000000011 / 17230.04000000007 [+0.24%]
Products
Total CPU difference: 800.6699999999917 / 791.7399999999936 [+1.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 18742.140625 / 18745.390625 [-0.02%]
Products
Total CPU difference: 1329.234375 / 1321.390625 [+0.59%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0093347)
git (administrator)
2020-07-25 14:03

Branch CR31353 has been deleted by inv.

SHA-1: 9cec6be6f5183d1545059b644f0684d70300473b

- Related Changesets
occt: master 6d8f9f4a
Timestamp: 2020-03-02 12:29:34
Author: akaftasev
Committer: bugmaster
Details ] Diff ]
0031353: TDocStd_Application does not have api to set progress indicator

Add support of Message_ProgressIndicator in BinTools classes.

Add support of Message_ProgressIndicator with possibility of user break in methods of opening and saving TDocStd_Application.

Add tests of ProgressIndicator in TDocStd_Applacation.
mod - src/BinDrivers/BinDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/BinDrivers/BinDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentSection.hxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamedShapeDriver.cxx Diff ] File ]
mod - src/BinMNaming/BinMNaming_NamedShapeDriver.hxx Diff ] File ]
mod - src/BinTools/BinTools.cxx Diff ] File ]
mod - src/BinTools/BinTools.hxx Diff ] File ]
mod - src/BinTools/BinTools_Curve2dSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_Curve2dSet.hxx Diff ] File ]
mod - src/BinTools/BinTools_CurveSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_CurveSet.hxx Diff ] File ]
mod - src/BinTools/BinTools_ShapeSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_ShapeSet.hxx Diff ] File ]
mod - src/BinTools/BinTools_SurfaceSet.cxx Diff ] File ]
mod - src/BinTools/BinTools_SurfaceSet.hxx Diff ] File ]
mod - src/BRepTools/BRepTools.cxx Diff ] File ]
mod - src/BRepTools/BRepTools.hxx Diff ] File ]
mod - src/BRepTools/BRepTools_ShapeSet.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_ShapeSet.hxx Diff ] File ]
mod - src/CDF/CDF_Application.cxx Diff ] File ]
mod - src/CDF/CDF_Application.hxx Diff ] File ]
mod - src/CDF/CDF_Store.cxx Diff ] File ]
mod - src/CDF/CDF_Store.hxx Diff ] File ]
mod - src/CDF/CDF_StoreList.cxx Diff ] File ]
mod - src/CDF/CDF_StoreList.hxx Diff ] File ]
mod - src/CDM/CDM_Application.hxx Diff ] File ]
mod - src/DBRep/DBRep.cxx Diff ] File ]
mod - src/DDocStd/DDocStd_ApplicationCommands.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_Curve2dSet.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_Curve2dSet.hxx Diff ] File ]
mod - src/GeomTools/GeomTools_CurveSet.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_CurveSet.hxx Diff ] File ]
mod - src/GeomTools/GeomTools_SurfaceSet.cxx Diff ] File ]
mod - src/GeomTools/GeomTools_SurfaceSet.hxx Diff ] File ]
mod - src/PCDM/PCDM_Reader.hxx Diff ] File ]
mod - src/PCDM/PCDM_ReaderStatus.hxx Diff ] File ]
mod - src/PCDM/PCDM_StorageDriver.cxx Diff ] File ]
mod - src/PCDM/PCDM_StorageDriver.hxx Diff ] File ]
mod - src/PCDM/PCDM_StoreStatus.hxx Diff ] File ]
mod - src/PCDM/PCDM_Writer.hxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.cxx Diff ] File ]
mod - src/TDocStd/TDocStd_Application.hxx Diff ] File ]
mod - src/TopTools/TopTools_LocationSet.cxx Diff ] File ]
mod - src/TopTools/TopTools_LocationSet.hxx Diff ] File ]
mod - src/TopTools/TopTools_ShapeSet.cxx Diff ] File ]
mod - src/TopTools/TopTools_ShapeSet.hxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.hxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.hxx Diff ] File ]
mod - src/XmlMDF/XmlMDF.cxx Diff ] File ]
mod - src/XmlMDF/XmlMDF.hxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamedShapeDriver.cxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_NamedShapeDriver.hxx Diff ] File ]
mod - tests/caf/grids.list Diff ] File ]
add - tests/caf/progress/A1 Diff ] File ]
add - tests/caf/progress/A2 Diff ] File ]
add - tests/caf/progress/B1 Diff ] File ]
add - tests/caf/progress/B2 Diff ] File ]
add - tests/caf/progress/begin Diff ] File ]
add - tests/caf/progress/C1 Diff ] File ]
add - tests/caf/progress/C2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-02-06 13:31 dbv New Issue
2020-02-06 13:31 dbv Assigned To => msv
2020-02-06 15:38 msv Assigned To msv => akaftasev
2020-02-06 15:38 msv Status new => assigned
2020-02-06 15:39 msv Severity minor => feature
2020-03-05 13:11 git Note Added: 0090832
2020-03-10 14:36 git Note Added: 0090880
2020-03-13 16:05 git Note Added: 0090930
2020-03-16 15:44 git Note Added: 0090971
2020-03-18 14:56 git Note Added: 0091029
2020-03-27 19:26 git Note Added: 0091312
2020-04-08 14:11 git Note Added: 0091462
2020-04-09 10:29 git Note Added: 0091476
2020-04-09 10:30 akaftasev Assigned To akaftasev => msv
2020-04-09 10:38 akaftasev Status assigned => resolved
2020-04-09 10:38 akaftasev Steps to Reproduce Updated View Revisions
2020-07-16 18:20 git Note Added: 0093162
2020-07-16 18:27 msv Note Added: 0093163
2020-07-16 19:06 git Note Added: 0093164
2020-07-16 21:37 msv Note Added: 0093165
2020-07-16 21:37 msv Assigned To msv => bugmaster
2020-07-16 21:37 msv Status resolved => reviewed
2020-07-25 13:20 bugmaster Note Added: 0093309
2020-07-25 13:20 bugmaster Status reviewed => tested
2020-07-25 13:28 bugmaster Test case number => caf/progress/A1,A2,B1,B2,C1,C2
2020-07-25 13:57 bugmaster Changeset attached => occt master 6d8f9f4a
2020-07-25 13:57 bugmaster Status tested => verified
2020-07-25 13:57 bugmaster Resolution open => fixed
2020-07-25 14:03 git Note Added: 0093347
2020-07-27 11:43 BenjaminBihler Relationship added parent of 0031690


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker